<?php
/*
+-----------------------------------------------------------------------------+
| $Id: conclude.php 2010-05-24 12:37:44Z Bleakwind $
| Finish handle Variable
| Copyright (c) 2003-2010 Bleakwind (www.weaverdream.com)
| http://www.weaverdream.com/
| Release under the GNU Lesser General Public License Version 3 (LGPLv3):
|   http://www.gnu.org/licenses/lgpl.html
+-----------------------------------------------------------------------------+
*/

if (!defined( 'ENTRY_INDEX')) {
    echo "<h1>Forbidden</h1><p>You don't have permission to access on this server.</p>";
    exit;
}

// Other parse
$t->assign("get", $sys->get);
$t->assign("post", $sys->post);
$t->assign("page_http", $page_http);
$t->assign("page_ports", $page_ports);
$t->assign("member", $MEMBER);
$t->assign("admin", $ADMIN);
$t->assign("config", $CONFIG);
$t->assign("langlist", $LANGLIST);
//$t->assign("new_css", $new_css);
//$t->assign("new_js", $new_js);

// Parse language
$t->assign("lang", $LANGUAGE);

// Parse configure common
$t->assign($CONFIGURE['common']);

// Parse public variable
$t->assign($public_var);

// Run time
$t->assign("var_runtime", $bwruntime->totaltime());

// Xajax
$bwajax->processRequest();
$bwajax_printJavascript = $bwajax->getJavascript();
$t->assign(array(
    "bwajax_printJavascript"    => $bwajax_printJavascript,
));

// Print page
$t->display($template_name);
?>
